Package gov.nasa.gsfc.sscweb.schema

# Class FormatOptions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.FormatOptions

public class FormatOptions extends Object
Listing Query result format options. <p>Java class for FormatOptions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="FormatOptions"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="DateFormat" type="{http://sscweb.gsfc.nasa.gov/schema}DateFormat"/> <element name="TimeFormat" type="{http://sscweb.gsfc.nasa.gov/schema}TimeFormat"/> <element name="DistanceFormat" type="{http://sscweb.gsfc.nasa.gov/schema}DistanceFormat"/> <element name="DistanceDigits" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/> <element name="DegreeFormat" type="{http://sscweb.gsfc.nasa.gov/schema}DegreeFormat"/> <element name="DegreeDigits" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/> <element name="LatLonFormat" type="{http://sscweb.gsfc.nasa.gov/schema}LatLonFormat"/> <element name="Cdf" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/> <element name="LinesPerPage" type="{http://www.w3.org/2001/XMLSchema}int"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Boolean`
  `cdf`
  Whether the output should be a CDF type file.
  `protected DateFormat`
  `dateFormat`
  Date format.
  `protected Integer`
  `degreeDigits`
  Number of decimal places when DegreeFormat is dd_ddd.
  `protected DegreeFormat`
  `degreeFormat`
  Degree format.
  `protected Integer`
  `distanceDigits`
  Number of decimal places when DistanceFormat is ScientificNotationKm.
  `protected DistanceFormat`
  `distanceFormat`
  Distance format.
  `protected LatLonFormat`
  `latLonFormat`
  Latitude/longitude format.
  `protected int`
  `linesPerPage`
  Lines per page.
  `protected TimeFormat`
  `timeFormat`
  Time format.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FormatOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DateFormat`
  `getDateFormat()`
  Date format.
  `Integer`
  `getDegreeDigits()`
  Number of decimal places when DegreeFormat is dd_ddd.
  `DegreeFormat`
  `getDegreeFormat()`
  Degree format.
  `Integer`
  `getDistanceDigits()`
  Number of decimal places when DistanceFormat is ScientificNotationKm.
  `DistanceFormat`
  `getDistanceFormat()`
  Distance format.
  `LatLonFormat`
  `getLatLonFormat()`
  Latitude/longitude format.
  `int`
  `getLinesPerPage()`
  Lines per page.
  `TimeFormat`
  `getTimeFormat()`
  Time format.
  `Boolean`
  `isCdf()`
  Whether the output should be a CDF type file.
  `void`
  `setCdf(Boolean value)`
  Sets the value of the cdf property.
  `void`
  `setDateFormat(DateFormat value)`
  Sets the value of the dateFormat property.
  `void`
  `setDegreeDigits(Integer value)`
  Sets the value of the degreeDigits property.
  `void`
  `setDegreeFormat(DegreeFormat value)`
  Sets the value of the degreeFormat property.
  `void`
  `setDistanceDigits(Integer value)`
  Sets the value of the distanceDigits property.
  `void`
  `setDistanceFormat(DistanceFormat value)`
  Sets the value of the distanceFormat property.
  `void`
  `setLatLonFormat(LatLonFormat value)`
  Sets the value of the latLonFormat property.
  `void`
  `setLinesPerPage(int value)`
  Sets the value of the linesPerPage property.
  `void`
  `setTimeFormat(TimeFormat value)`
  Sets the value of the timeFormat property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dateFormat

    protected DateFormat dateFormat
    Date format.

  - ### timeFormat

    protected TimeFormat timeFormat
    Time format.

  - ### distanceFormat

    protected DistanceFormat distanceFormat
    Distance format.

  - ### distanceDigits

    protected Integer distanceDigits
    Number of decimal places when DistanceFormat is ScientificNotationKm.

  - ### degreeFormat

    protected DegreeFormat degreeFormat
    Degree format.

  - ### degreeDigits

    protected Integer degreeDigits
    Number of decimal places when DegreeFormat is dd_ddd.

  - ### latLonFormat

    protected LatLonFormat latLonFormat
    Latitude/longitude format.

  - ### cdf

    protected Boolean cdf
    Whether the output should be a CDF type file. Only supported for location requests. Conjunction query requests do not support CDF output.

  - ### linesPerPage

    protected int linesPerPage
    Lines per page.

- ## Constructor Details

  - ### FormatOptions

    public FormatOptions()

- ## Method Details

  - ### getDateFormat

    public DateFormat getDateFormat()
    Date format.
    Returns:
      possible object is `DateFormat`

  - ### setDateFormat

    public void setDateFormat(DateFormat value)
    Sets the value of the dateFormat property.
    Parameters:
      `value` - allowed object is `DateFormat`
    See Also:
      - `getDateFormat()`

  - ### getTimeFormat

    public TimeFormat getTimeFormat()
    Time format.
    Returns:
      possible object is `TimeFormat`

  - ### setTimeFormat

    public void setTimeFormat(TimeFormat value)
    Sets the value of the timeFormat property.
    Parameters:
      `value` - allowed object is `TimeFormat`
    See Also:
      - `getTimeFormat()`

  - ### getDistanceFormat

    public DistanceFormat getDistanceFormat()
    Distance format.
    Returns:
      possible object is `DistanceFormat`

  - ### setDistanceFormat

    public void setDistanceFormat(DistanceFormat value)
    Sets the value of the distanceFormat property.
    Parameters:
      `value` - allowed object is `DistanceFormat`
    See Also:
      - `getDistanceFormat()`

  - ### getDistanceDigits

    public Integer getDistanceDigits()
    Number of decimal places when DistanceFormat is ScientificNotationKm.
    Returns:
      possible object is `Integer`

  - ### setDistanceDigits

    public void setDistanceDigits(Integer value)
    Sets the value of the distanceDigits property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getDistanceDigits()`

  - ### getDegreeFormat

    public DegreeFormat getDegreeFormat()
    Degree format.
    Returns:
      possible object is `DegreeFormat`

  - ### setDegreeFormat

    public void setDegreeFormat(DegreeFormat value)
    Sets the value of the degreeFormat property.
    Parameters:
      `value` - allowed object is `DegreeFormat`
    See Also:
      - `getDegreeFormat()`

  - ### getDegreeDigits

    public Integer getDegreeDigits()
    Number of decimal places when DegreeFormat is dd_ddd.
    Returns:
      possible object is `Integer`

  - ### setDegreeDigits

    public void setDegreeDigits(Integer value)
    Sets the value of the degreeDigits property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getDegreeDigits()`

  - ### getLatLonFormat

    public LatLonFormat getLatLonFormat()
    Latitude/longitude format.
    Returns:
      possible object is `LatLonFormat`

  - ### setLatLonFormat

    public void setLatLonFormat(LatLonFormat value)
    Sets the value of the latLonFormat property.
    Parameters:
      `value` - allowed object is `LatLonFormat`
    See Also:
      - `getLatLonFormat()`

  - ### isCdf

    public Boolean isCdf()
    Whether the output should be a CDF type file. Only supported for location requests. Conjunction query requests do not support CDF output.
    Returns:
      possible object is `Boolean`

  - ### setCdf

    public void setCdf(Boolean value)
    Sets the value of the cdf property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isCdf()`

  - ### getLinesPerPage

    public int getLinesPerPage()
    Lines per page.

  - ### setLinesPerPage

    public void setLinesPerPage(int value)
    Sets the value of the linesPerPage property.